function L = assemLoadPolar_BFE(n)

    % Some needed variables
    dp = 2*pi/n;

    L = zeros(n^2 + 1, 1);

    for i = 0:n-1
        for j = 0:n-1
            rl = i/n; rr = (i+1)/n;
            left  =   rl^2/3 - rr^2/6 - rl*rr*5/6;
            right = - rl^2/6 + rr^2/3 - rl*rr*5/6;
            
            [i1,i2,i3,i4] = locglobmap(i, j, n);
            L(i1) = L(i1) + left;
            L(i2) = L(i2) + right;
            L(i2) = L(i2) + right;
            L(i4) = L(i4) + left;
        end
    end

    L = L * dp/2;

end
