n = 4;
w = 0.02;
h = 2*pi*w*1.4;

figure(1); clf;
hold on;

for i = 0:n
    plot([i/n, i/n], [0, 2*pi]);
    plot([0, 1], 2*pi*[i/n, i/n]);
end

for i = 0:n
    handle = text(w, 2*pi*i/n + h, '1');
    set(handle, 'FontWeight', 'bold');
end

for j = 1:n
    handle = text(j/n + w, h, num2str(j+1));
    set(handle, 'FontWeight', 'bold');
    handle = text(j/n + w, 2*pi + h, num2str(j+1));
    set(handle, 'FontWeight', 'bold');
end

for i = 1:n
    for j = 1:n-1
        handle = text(i/n + w, 2*pi*j/n + h, num2str(i+1+n*j));
        set(handle, 'FontWeight', 'bold');
    end
end

xlim([-0.1, 1.1]);
ylim([-2*pi/10, 2*pi*1.1]);
