function u = solveNitsche(Mesh, FHandle, alpha)

    Mesh = add_Edges(Mesh);
    Mesh.ElemFlag = ones(size(Mesh.Elements,1), 1);
    if isfield(Mesh, 'BdFlags')
        Mesh = rmfield(Mesh, 'BdFlags');
    end
    loc = get_BdEdges(Mesh);
    Mesh.BdFlags = zeros(size(Mesh.Edges,1), 1);
    Mesh.BdFlags(loc) = -1;

    A = assemMat(Mesh, alpha);
    L = assemLoad_LFE(Mesh, P7O6(), FHandle);
    u = A\L;

end
